# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           greadelf
Version:        1.0
Release:        alt1_16
Summary:        Wrapper tool for eu-readelf
Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/greadelf/
Source0:        http://greadelf.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils 
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel 
Requires:	elfinfo >= 1.1, elfutils

%description
This Tool is essentially a wrapper over eu-readelf. This package can work
without eu-readelf with limited functionality. Optionally it can also works
with elfinfo an associated package.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=greadelf
Comment=wrapper tool over eu-readelf
Exec=greadelf
Terminal=false
Type=Application
Encoding=UTF-8
Categories=GNOME;GTK;System;
EOF

desktop-file-install \
    --dir %{buildroot}/%{_datadir}/applications/ \
    %{name}.desktop

%files
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/greadelf
%{_datadir}/applications/*%{name}.desktop


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_14
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_12
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_11
- update to new release by fcimport

* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- initial fc import

